<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_3</title>
</head>
<body>
    <h1>Capitulo 5</h1>
    <a>Ejercicio 4</a>

    <script>

        const numeroSig = (num) => {
            let c = num,
               c1 = 0,
               c2 = 0;

            while (((c & 1) === 0) && (c != 0)) {
                c1++;
                c >>= 1;
            }

            while ((c & 1) === 1) {
                c2++;
                c >>= 1;
            }

            if (c1 + c2 === 31 || c1 + c2 === 0) {
                return -1;
            }

            let p = c1 + c2;
            num |= (1 << p);
            num &= ~((1 << p) - 1);
            num |= (1 << (c2 - 1)) - 1;
            return num;
        }

        let num1 = 3;
        console.log(`${numeroSig(num1)}`);

        let num2 = 5;
        console.log(`${numeroSig(num2)}`);
    
        
    </script>
    
</body>
</html>